"use client";

import { useTranslations } from "next-intl";

import { useTimer } from "@/hooks/timer/useTimer";
import { translatePathEmailMarketingCompatibilityV1 } from "@/shared/constants/translate";

import styles from "./CountdownTimer.module.scss";

export default function CountdownTimer() {
  const t = useTranslations(
    translatePathEmailMarketingCompatibilityV1("SpecialOffer")
  );

  const { time } = useTimer({
    initialSeconds: 600,
  });

  return <span className={styles.timer}>{t("reserved-for", { time })}</span>;
}
